# Get document dashboard

Get document dashboard. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Document-dashboard

GET `/Document/dashboard`

Get document dashboard. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna informações resumidas e estatísticas dos documentos para exibição em dashboard. Permite filtrar por período (createdAtStart e createdAtEnd).

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>CreatedAtStart</code></td><td><code>query</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>CreatedAtEnd</code></td><td><code>query</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Document/dashboard?CreatedAtStart={CreatedAtStart}&CreatedAtEnd={CreatedAtEnd}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar o dashboard</td><td><code>application/json</code> · <code>DocumentDashboardDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "total": 0,
  "new": 0,
  "inProgress": 0,
  "approved": 0,
  "rejected": 0,
  "completed": 0,
  "cancelled": 0,
  "quantityPagesProcessed": 0,
  "successRate": 0,
  "dailyExecutions": [
    {
      "date": "string",
      "total": 0,
      "new": 0,
      "inProgress": 0,
      "approved": 0,
      "rejected": 0,
      "completed": 0,
      "cancelled": 0
    }
  ]
}
```



## Data models

`DocumentDailyCountDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>date</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>total</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>new</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>inProgress</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>approved</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>rejected</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>completed</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>cancelled</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`DocumentDashboardDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>total</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>new</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>inProgress</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>approved</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>rejected</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>completed</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>cancelled</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>quantityPagesProcessed</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>successRate</code></td><td><code>number · double</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dailyExecutions</code></td><td><code>array&lt;DocumentDailyCountDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>
